{ config, lib, pkgs, ... }:

{
  programs.zsh = {
    enable = true;
    autocd = true;
    dotDir = ".config/zsh";
    enableAutosuggestions = true;
    enableCompletion = true;
#    shellAliases = {
#      sl = "exa";
#      ls = "exa";
#      l = "exa -l";
#      la = "exa -la";
#      ip = "ip --color=auto";
#    };

  plugins = with pkgs; [
    {
      name = "zsh-syntax-highlighting";
      src = fetchFromGitHub {
        owner = "zsh-users";
        repo = "zsh-syntax-highlighting";
        rev = "0.6.0";
        sha256 = "0zmq66dzasmr5pwribyh4kbkk23jxbpdw4rjxx0i7dx8jjp2lzl4";
      };
      file = "agkozak-zsh-prompt.plugin.zsh";
    }
}
